package com.palmnest.service;

import com.palmnest.model.AppMenu;

import java.util.List;

/**
 * @author yb
 * @remark 系统菜单业务层接口
 * @since 2014-05-28
 */
public interface AppMenuManager {

	/**
	 * 查询所有菜单
	 *
	 * @return
	 */
	public List<AppMenu> getAll();

	public List<AppMenu> getAll2();

	public List<AppMenu> getAllAppMenu();

	/**
	 * 查询菜单总数
	 *
	 * @return
	 */
	public int menuTotalCount();

	public int maxMenuId();

	/**
	 * 保存或者更新菜单
	 *
	 * @param appmenu
	 */
	public void saveOrUpdate(AppMenu appmenu);

	/**
	 * 查询菜单
	 *
	 * @param id
	 */
	public AppMenu getMenu(int id);

	public AppMenu getMenu(String treeCode, String parentCode);

	public void deleMenu(String treeCode, String parentCode);

	/**
	 * 手机端查询子菜单
	 *
	 * @param parentCode
	 * @return
	 */
	public List<AppMenu> getMenuByParent(String parentCode);

	/**
	 * 根据功能id查询菜单列表
	 *
	 * @param funIds
	 * @return
	 */
	public List<AppMenu> getMenuByFunid(String funIds);

	/**
	 * 获取一级菜单列表
	 *
	 * @return
	 */
	public List<AppMenu> getLevelOneMenu();
}
